-- [system模块] 何亚博 20230427 三方登录微信配置
insert into digital_operation.visual_subscribe_notify_conf(attri_key, attri_value, attri_name, notify_type)
values ('app_id', '', '微信应用id', 8),
       ('app_secret', '', '微信应用secret', 8),
       ('app_id', '', '小程序appid', 9),
       ('app_secret', '', '小程序secret', 9),
       ('app_url', '', '小程序请求url', 9);

-- [system模块] 何亚博 20230427 三方登录账号绑定表
drop table if exists digital_operation.third_bind_count_record;
create table digital_operation.third_bind_count_record
(
    id                int auto_increment
        primary key,
    wechat_open_id    varchar(64) null comment '微信openId',
    qy_wechat_code    varchar(64) null comment '企业微信code',
    ding_open_id      varchar(64) null comment '钉钉openId',
    fei_shu_open_id   varchar(64) null comment '飞书openId',
    micro_app_openId  varchar(64) null comment '小程序openId',
    micro_app_unionid varchar(64) null comment '小程序unionid',
    micro_app_phone   varchar(11) null comment '小程序绑定的手机号',
    user_id           bigint(64) not null comment '绑定人员id',
    create_time       datetime default now() not null comment '创建时间',
    update_time       datetime default now() not null comment '更新时间'
) comment '三方登录绑定账号记录表';

-- [BI模块] 何亚博 20230512 大屏区分移动大屏字段
alter table digital_operation.visual_data
    add column is_mobile int default 0 not null comment '是否为移动大屏(0:否，1:是)';
alter table digital_operation.visual_data
    add column mobile_content longtext null comment '移动组件json内容';
alter table digital_operation.visual_component
    add column is_mobile int not null default 0 comment '是否为移动大屏组件';

-- digital_operation.blade_message definition

drop table if exists digital_operation.blade_message;
CREATE TABLE digital_operation.blade_message
(
    `id`          bigint(64) NOT NULL COMMENT '主键',
    `user_id`     bigint(64) DEFAULT NULL COMMENT '接收人',
    `module`      varchar(50) DEFAULT NULL COMMENT '模块',
    `type`        tinyint(4) DEFAULT NULL COMMENT '类型：0待办 1抄送 2通过 3拒绝',
    `subject`     varchar(50) DEFAULT NULL COMMENT '主题',
    `content`     varchar(50) DEFAULT NULL COMMENT '内容',
    `status`      tinyint(4) DEFAULT NULL COMMENT '状态：0未读 1已读',
    `create_time` datetime    DEFAULT NULL COMMENT '创建时间',
    `update_time` datetime    DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='消息提醒';

-- 数据预警
alter table visual_warning add column approve_status tinyint default 1 not null comment '审批状态(0-审核中/1-审核通过/2-审核拒绝)';

--消息通知方式
ALTER TABLE visual_subscribe ADD tenant_id varchar(12) default "0" COMMENT '租户id';
ALTER TABLE visual_subscribe_notify_conf ADD tenant_id varchar(12) default "0" COMMENT '租户id';
ALTER TABLE visual_subscribe_notify_conf ADD sort tinyint(4) NULL COMMENT '排序';
ALTER TABLE visual_warning ADD warning_ways varchar(200) NULL COMMENT '预警消息方式';